DROP TABLE IF EXISTS html;
CREATE TABLE html (
   seite varchar(20) NOT NULL,
   html text NOT NULL
);

#
# Dumping data for table 'html'
#

INSERT INTO html VALUES ( 'anmeldenmail', 'Guten Tag!

Vielen Dank, dass Sie sich bei uns angemeldet haben. Wir bitten Sie den folgenden HTML-Code umgehend in die Homepage einzufgen. 

{htmlcode}

Zu Ihrer Erinnerung:
Loginname: {login}
Passwort: {pass}

mfg');

# --------------------------------------------------------
#
# Table structure for table 'kat'
#

CREATE TABLE kat (
   kat varchar(100) NOT NULL
);

# --------------------------------------------------------
#
# Table structure for table 'kunden'
#

CREATE TABLE config (
   pass varchar(35) NOT NULL,
   name varchar(150) NOT NULL,
   mail varchar(100) NOT NULL,
   url varchar(255),
   what tinyint(2) DEFAULT '4' NOT NULL,
   ratio float(10,2) DEFAULT '0.00' NOT NULL,
   referrer1 smallint(5) unsigned DEFAULT '0' NOT NULL,
   referrer2 smallint(5) unsigned DEFAULT '0' NOT NULL,
   referrer3 smallint(5) unsigned DEFAULT '0' NOT NULL,
   startcredits smallint(5) unsigned DEFAULT '0' NOT NULL,
   ipsperre mediumint(8) unsigned DEFAULT '0' NOT NULL,
   kat varchar(75) NOT NULL,
   werbung tinyint(1) unsigned DEFAULT '0' NOT NULL,
   aufrufe int(10) unsigned DEFAULT '0' NOT NULL,
   htmlcode text NOT NULL,
   last timestamp(14),
   anmeldenmail tinyint(1) unsigned DEFAULT '0' NOT NULL,
   freischalten tinyint(1) unsigned DEFAULT '0' NOT NULL
);

INSERT INTO config VALUES ( 'admin', 'PopUp-Exchange', 'webmaster@domain.de', 'http://www.domain.de/', '4', '0.6', '500', '255', '100', '0', '1440', '0', '1', '1', '<b>Surftipps</b>', '20010704183353', '1', '1');


# --------------------------------------------------------
#
# Table structure for table 't_auf'
#

CREATE TABLE t_auf (
   id mediumint(8) unsigned DEFAULT '0' NOT NULL,
   url varchar(255) NOT NULL,
   ip varchar(20) NOT NULL,
   welcher tinyint(2) unsigned DEFAULT '0' NOT NULL,
   b_id mediumint(8) unsigned DEFAULT '0' NOT NULL,
   b_lid mediumint(8) unsigned DEFAULT '0' NOT NULL,
   wann timestamp(14),
   art tinyint(2) unsigned DEFAULT '0' NOT NULL,
   KEY id (id, url(20), ip),
   KEY wann (wann)
);


# --------------------------------------------------------
#
# Table structure for table 't_badwords'
#

CREATE TABLE t_badwords (
   wort varchar(100) NOT NULL
);


# --------------------------------------------------------
#
# Table structure for table 't_checkref'
#

CREATE TABLE t_checkref (
   id mediumint(8) unsigned DEFAULT '0' NOT NULL,
   newid mediumint(8) unsigned DEFAULT '0' NOT NULL
);


# --------------------------------------------------------
#
# Table structure for table 't_ip'
#

CREATE TABLE t_ip (
   id mediumint(9) DEFAULT '0' NOT NULL,
   ip varchar(100) NOT NULL,
   wann timestamp(14),
   KEY id (id, ip),
   KEY wann (wann)
);


# --------------------------------------------------------
#
# Table structure for table 't_klick'
#

CREATE TABLE t_klick (
   id mediumint(8) unsigned DEFAULT '0' NOT NULL,
   ip varchar(20) NOT NULL,
   wann timestamp(14),
   KEY id (id)
);


# --------------------------------------------------------
#
# Table structure for table 't_link'
#

CREATE TABLE t_link (
   lid mediumint(8) unsigned DEFAULT '0' NOT NULL auto_increment,
   id mediumint(8) unsigned DEFAULT '0' NOT NULL,
   art tinyint(2) unsigned DEFAULT '0' NOT NULL,
   text varchar(150) NOT NULL,
   url varchar(255) NOT NULL,
   kat varchar(150) NOT NULL,
   bauf mediumint(8) unsigned DEFAULT '0' NOT NULL,
   bklick mediumint(8) unsigned DEFAULT '0' NOT NULL,
   wann timestamp(14),
   PRIMARY KEY (lid),
   KEY art (art),
   KEY kat (kat)
);


# --------------------------------------------------------
#
# Table structure for table 't_ratio'
#

CREATE TABLE t_ratio (
   view float(6,4) DEFAULT '0.0000' NOT NULL,
   klick float(6,4) DEFAULT '0.0000' NOT NULL
);

insert into t_ratio values (0.7,0);

# --------------------------------------------------------
#
# Table structure for table 't_referrer'
#

CREATE TABLE t_referrer (
   id mediumint(8) unsigned DEFAULT '0' NOT NULL,
   newid mediumint(8) unsigned DEFAULT '0' NOT NULL,
   level tinyint(3) unsigned DEFAULT '0' NOT NULL,
   KEY newid (newid)
);


# --------------------------------------------------------
#
# Table structure for table 't_stat'
#

CREATE TABLE t_stat (
   id mediumint(8) unsigned DEFAULT '0' NOT NULL,
   url varchar(255) NOT NULL,
   tag date DEFAULT '0000-00-00' NOT NULL,
   pauf mediumint(8) unsigned DEFAULT '0' NOT NULL,
   pklick mediumint(8) unsigned DEFAULT '0' NOT NULL,
   KEY id (id, tag, url(20))
);


# --------------------------------------------------------
#
# Table structure for table 't_user'
#

CREATE TABLE t_user (
   id mediumint(8) unsigned DEFAULT '0' NOT NULL auto_increment,
   login varchar(100) NOT NULL,
   pass varchar(100) NOT NULL,
   url varchar(255) NOT NULL,
   mail varchar(100) NOT NULL,
   pauf mediumint(8) unsigned DEFAULT '0' NOT NULL,
   pklick mediumint(8) unsigned DEFAULT '0' NOT NULL,
   bauf mediumint(8) unsigned DEFAULT '0' NOT NULL,
   bklick mediumint(8) unsigned DEFAULT '0' NOT NULL,
   referrer mediumint(8) unsigned DEFAULT '0' NOT NULL,
   werbung mediumint(8) unsigned DEFAULT '0' NOT NULL,
   credits float(6,4) DEFAULT '0.0000' NOT NULL,
   status tinyint(2) unsigned DEFAULT '0' NOT NULL,
   kat varchar(150) NOT NULL,
   wann timestamp(14),
   PRIMARY KEY (id),
   UNIQUE login (login),
   KEY credits (credits),
   KEY status (status)
);






# --------------------------------------------------------
#
# Table structure for table 'templates'
#

CREATE TABLE templates (
   welches tinyint(2) unsigned DEFAULT '0' NOT NULL,
   html text NOT NULL
);

INSERT INTO templates VALUES ( '0', '<html><body> <b>- {titel} -</b><br><br> {post}
</body></html>');
INSERT INTO templates VALUES ( '1', '<html><body> <table hight=400><tr><td width=160> <p><a href=\"statistik.php?id={id}&vpass={vpass}\"  class=\"menu\">bersicht</a><br> <a href=\"statistik.php?id={id}&vpass={vpass}&ac=stat\" class=\"menu\">Statistik</a><br> <a href=\"statistik.php?id={id}&vpass={vpass}&ac=edit\" class=\"menu\">Daten ndern</a><br> <a href=\"statistik.php?id={id}&vpass={vpass}&ac=links\" class=\"menu\">Link Verwaltung</a><br> <a href=\"statistik.php?id={id}&vpass={vpass}&ac=spardose\" class=\"menu\">Spardose</a><br> <a href=\"statistik.php?id={id}&vpass={vpass}
&ac=html\" class=\"menu\">HTML-Code</a></p> <p><a href=\"statistik.php?id={id}&vpass={vpass}&ac=del\" class=\"menu\">Mitgliedschaft<br> beenden</a></p> <p><br> </p> </td><td valign=\"_top\"><br><br><br><b>{titel}</b><br><br> {post}</td></tr></table> </body></html>');

